CREATE TABLE `UserBackup` (
    `email` TEXT NOT NULL,
    `name` TEXT NOT NULL,
    `registrationDate` INTEGER,
    `photo` TEXT NOT NULL,
    `isAdmin` INTEGER NOT NULL,
    `balance` INTEGER NOT NULL,
    `libraryHash` INTEGER NOT NULL,
    `levelPoints` INTEGER NOT NULL,
    `levelPointsDiff` INTEGER NOT NULL,
    `adRewardAvailableCount` INTEGER NOT NULL,
    `adRewardAvailableDate` INTEGER NOT NULL,
    `regularRewardProgressValue` INTEGER NOT NULL,
    `regularRewardProgressMaxValue` INTEGER NOT NULL,
    `regularRewardCount` INTEGER NOT NULL,
    `regularRewardAvailableDate` INTEGER NOT NULL,
    `rateCompleted` INTEGER NOT NULL,
    `rateAskEnabled` INTEGER NOT NULL,
    `rateAskDate` INTEGER,
    PRIMARY KEY(`email`)
);
INSERT INTO `UserBackup` SELECT
    `email`,
    `name`,
    `registrationDate`,
    `photo`,
    `isAdmin`,
    `balance`,
    `libraryHash`,
    `levelPoints`,
    `levelPointsDiff`,
    `adRewardAvailableCount`,
    `adRewardAvailableDate`,
    `regularRewardProgressValue`,
    `regularRewardProgressMaxValue`,
    `regularRewardCount`,
    `regularRewardAvailableDate`,
    `rateCompleted`,
    `rateAskEnabled`,
    `rateAskDate`
FROM `User`;
DROP TABLE `User`;
CREATE TABLE `User` (
    `email` TEXT NOT NULL,
    `name` TEXT NOT NULL,
    `registrationDate` INTEGER,
    `photo` TEXT NOT NULL,
    `isAdmin` INTEGER NOT NULL,
    `balance` INTEGER NOT NULL,
    `libraryHash` INTEGER NOT NULL,
    `levelPoints` INTEGER NOT NULL,
    `levelPointsDiff` INTEGER NOT NULL,
    `adRewardAvailableCount` INTEGER NOT NULL,
    `adRewardAvailableDate` INTEGER NOT NULL,
    `regularRewardProgressValue` INTEGER NOT NULL,
    `regularRewardProgressMaxValue` INTEGER NOT NULL,
    `regularRewardCount` INTEGER NOT NULL,
    `regularRewardAvailableDate` INTEGER NOT NULL,
    `rateCompleted` INTEGER NOT NULL,
    `rateAskEnabled` INTEGER NOT NULL,
    `rateAskDate` INTEGER,
    `unreadPostCount` INTEGER NOT NULL,
    PRIMARY KEY(`email`)
);
INSERT INTO `User` SELECT
    `email`,
    `name`,
    `registrationDate`,
    `photo`,
    `isAdmin`,
    `balance`,
    `libraryHash`,
    `levelPoints`,
    `levelPointsDiff`,
    `adRewardAvailableCount`,
    `adRewardAvailableDate`,
    `regularRewardProgressValue`,
    `regularRewardProgressMaxValue`,
    `regularRewardCount`,
    `regularRewardAvailableDate`,
    `rateCompleted`,
    `rateAskEnabled`,
    `rateAskDate`,
    0 as `unreadPostCount`
FROM `UserBackup`;
DROP TABLE `UserBackup`;
